For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityAPI StatusAPI PricingSign Up
DocumentationAPI ReferencesCookbookIntegrationDeveloper Tools
DocumentationAPI ReferencesCookbookIntegrationDeveloper Tools
  • API Reference
    • Introduction
    • Authentication
    • Access to Beta APIs
    • Meta Prompt Guide
  • Endpoints
      • POSTCreate Document Intelligence Job
      • POSTGet Document Intelligence Upload URLs
      • POSTStart Document Intelligence Job
      • GETGet Document Intelligence Job Status
      • POSTGet Document Intelligence Download URLs
LogoLogo
CommunityAPI StatusAPI PricingSign Up
EndpointsDocument Intelligence

Get Document Intelligence Download URLs

||View as Markdown|
POST
https://api.sarvam.ai/doc-digitization/job/v1/:job_id/download-files
POST
/doc-digitization/job/v1/:job_id/download-files
$curl -X POST https://api.sarvam.ai/doc-digitization/job/v1/job_id/download-files \
> -H "api-subscription-key: <apiSubscriptionKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "job_state": "Completed",
4 "storage_container_type": "Azure",
5 "download_urls": {
6 "invoice_12345.pdf": {
7 "file_url": "https://azureblobstorage.blob.core.windows.net/documents/invoice_12345.pdf?sv=2023-01-01&sr=b&sig=abcdef1234567890",
8 "file_metadata": {
9 "contentType": "application/pdf",
10 "fileSize": 245760,
11 "lastModified": "2024-06-10T12:00:00Z"
12 }
13 },
14 "summary_12345.json": {
15 "file_url": "https://azureblobstorage.blob.core.windows.net/documents/summary_12345.json?sv=2023-01-01&sr=b&sig=abcdef1234567890",
16 "file_metadata": {
17 "contentType": "application/json",
18 "fileSize": 10240,
19 "lastModified": "2024-06-10T12:00:00Z"
20 }
21 }
22 },
23 "error_code": null,
24 "error_message": null
25}
Returns presigned URLs for downloading output files. **Method:** POST only. A GET request to this path returns 405 Method Not Allowed. **Prerequisites:** - Job must be in `Completed` or `PartiallyCompleted` state - Failed jobs have no output available
Was this page helpful?
Previous
Built with

Returns presigned URLs for downloading output files.

Method: POST only. A GET request to this path returns 405 Method Not Allowed.

Prerequisites:

  • Job must be in Completed or PartiallyCompleted state
  • Failed jobs have no output available

Authentication

api-subscription-keystring
API Key authentication via header

Path parameters

job_idstringRequiredformat: "uuid"
The unique identifier of the job

Response

Successful Response
job_idstringformat: "uuid"

Job identifier (UUID)

job_stateenum
Current job state
storage_container_typeenum
Storage backend type
Allowed values:
download_urlsmap from strings to objects
Map of filename to presigned download URL details
error_codestring or null
error_messagestring or null

Errors

400
Bad Request Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error